io.agora.rtc

## Class RtmpStreamingAudioConf

- java.lang.Object
- - io.agora.rtc.RtmpStreamingAudioConf

-     public class RtmpStreamingAudioConf
      extends java.lang.Object

  Audio configuration for RTMP streaming.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrate` Bitrate (Kbps)
    `private int` | `bytesPerSample` Bytes per sample
    `private int` | `numberOfChannels` Number of channels
    `private int` | `sampleRateHz` Sample rate (Hz)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtmpStreamingAudioConf()` Default constructor for RtmpStreamingAudioConf.
    `RtmpStreamingAudioConf(int sampleRateHz, int bytesPerSample, int numberOfChannels, int bitrate)` Constructs RtmpStreamingAudioConf with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrate()` Gets the bitrate (Kbps).
    `int` | `getBytesPerSample()` Gets the bytes per sample.
    `int` | `getNumberOfChannels()` Gets the number of channels.
    `int` | `getSampleRateHz()` Gets the sample rate (Hz).
    `void` | `setBitrate(int bitrate)` Sets the bitrate (Kbps).
    `void` | `setBytesPerSample(int bytesPerSample)` Sets the bytes per sample.
    `void` | `setNumberOfChannels(int numberOfChannels)` Sets the number of channels.
    `void` | `setSampleRateHz(int sampleRateHz)` Sets the sample rate (Hz).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sampleRateHz

          private int sampleRateHz

      Sample rate (Hz)

    - #### bytesPerSample

          private int bytesPerSample

      Bytes per sample

    - #### numberOfChannels

          private int numberOfChannels

      Number of channels

    - #### bitrate

          private int bitrate

      Bitrate (Kbps)

  - ### Constructor Detail

    - #### RtmpStreamingAudioConf

          public RtmpStreamingAudioConf()

      Default constructor for RtmpStreamingAudioConf.

    - #### RtmpStreamingAudioConf

          public RtmpStreamingAudioConf(int sampleRateHz,
                                        int bytesPerSample,
                                        int numberOfChannels,
                                        int bitrate)

      Constructs RtmpStreamingAudioConf with all parameters.
      Parameters:
        `sampleRateHz` - Sample rate (Hz)
        `bytesPerSample` - Bytes per sample
        `numberOfChannels` - Number of channels
        `bitrate` - Bitrate (Kbps)

  - ### Method Detail

    - #### getSampleRateHz

          public int getSampleRateHz()

      Gets the sample rate (Hz).
      Returns:
        Sample rate (Hz)

    - #### setSampleRateHz

          public void setSampleRateHz(int sampleRateHz)

      Sets the sample rate (Hz).
      Parameters:
        `sampleRateHz` - Sample rate (Hz)

    - #### getBytesPerSample

          public int getBytesPerSample()

      Gets the bytes per sample.
      Returns:
        Bytes per sample

    - #### setBytesPerSample

          public void setBytesPerSample(int bytesPerSample)

      Sets the bytes per sample.
      Parameters:
        `bytesPerSample` - Bytes per sample

    - #### getNumberOfChannels

          public int getNumberOfChannels()

      Gets the number of channels.
      Returns:
        Number of channels

    - #### setNumberOfChannels

          public void setNumberOfChannels(int numberOfChannels)

      Sets the number of channels.
      Parameters:
        `numberOfChannels` - Number of channels

    - #### getBitrate

          public int getBitrate()

      Gets the bitrate (Kbps).
      Returns:
        Bitrate (Kbps)

    - #### setBitrate

          public void setBitrate(int bitrate)

      Sets the bitrate (Kbps).
      Parameters:
        `bitrate` - Bitrate (Kbps)